# Uses of Class
org.bukkit.generator.structure.StructureType

Packages that use StructureType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.generator.structure
Classes to facilitate world `Structure` generation.

## Uses of StructureType in org.bukkit

Fields in org.bukkit with type parameters of type StructureType
Modifier and Type
Field
Description
`static final Registry<StructureType>`
Registry.`STRUCTURE_TYPE`
Server structure types.
Methods in org.bukkit with parameters of type StructureType
Modifier and Type
Method
Description
`@Nullable StructureSearchResult`
World.`locateNearestStructure(@NotNull Location origin, @NotNull StructureType structureType, int radius, boolean findUnexplored)`
Find the closest nearby structure of a given `StructureType`.

## Uses of StructureType in org.bukkit.generator.structure

Fields in org.bukkit.generator.structure declared as StructureType
Modifier and Type
Field
Description
`static final StructureType`
StructureType.`BURIED_TREASURE`
`static final StructureType`
StructureType.`DESERT_PYRAMID`
`static final StructureType`
StructureType.`END_CITY`
`static final StructureType`
StructureType.`FORTRESS`
`static final StructureType`
StructureType.`IGLOO`
`static final StructureType`
StructureType.`JIGSAW`
`static final StructureType`
StructureType.`JUNGLE_TEMPLE`
`static final StructureType`
StructureType.`MINESHAFT`
`static final StructureType`
StructureType.`NETHER_FOSSIL`
`static final StructureType`
StructureType.`OCEAN_MONUMENT`
`static final StructureType`
StructureType.`OCEAN_RUIN`
`static final StructureType`
StructureType.`RUINED_PORTAL`
`static final StructureType`
StructureType.`SHIPWRECK`
`static final StructureType`
StructureType.`STRONGHOLD`
`static final StructureType`
StructureType.`SWAMP_HUT`
`static final StructureType`
StructureType.`WOODLAND_MANSION`
Methods in org.bukkit.generator.structure that return StructureType
Modifier and Type
Method
Description
`abstract @NotNull StructureType`
Structure.`getStructureType()`
Returns the type of the structure.